﻿
/* RPR */

html {
  position: relative;
  min-height: 100%;
}
body {
  /* Margin bottom by footer height */
  margin-bottom: 310px !important;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  /* Set the fixed height of the footer here */
  height: 310px;
  background-color: #f5f5f5;
}

.k-widget.k-tooltip-validation
{
    color: Red;
}
  .req:before {
            content: "*";
            font-weight: bold;
            color: #ff0000;
            height: 50%;
            padding-right: .25em;
        }
/* Custom page CSS
-------------------------------------------------- */
/* Not required for template or sticky footer method. */

.containerwrapper > .container {
    padding: 88px 15px 0;
}


.container .text-muted {
  margin: 20px 0;
}

.footer > .container {
  padding-right: 15px;
  padding-left: 15px;
}

/* Footer End */


    .jumbotron {
        margin-bottom:0px !important;
        padding-top:90px;
        /*padding-right:0px !important;*/
        background-color: #FFF;
    }

 

         .header {
            background-color: #F5F5F5;
            color: grey;
            width: 100%;
        }



            /*/* reset everything to the default box model */
         /* reset everything to the default box model */
        *, :before, :after {
            -webkit-box-sizing: content-box;
            -moz-box-sizing: content-box;
            box-sizing: content-box;
        }

       
        /* set a border-box model only to elements that need it */
        .container,
        .container-fluid,
        .navbar,
        .row,
        .col-xs-1,
        .col-sm-1,
        .col-md-1,
        .col-lg-1,
        .col-xs-2,
        .col-sm-2,
        .col-md-2,
        .col-lg-2,
        .col-xs-3,
        .col-sm-3,
        .col-md-3,
        .col-lg-3,
        .col-xs-4,
        .col-sm-4,
        .col-md-4,
        .col-lg-4,
        .col-xs-5,
        .col-sm-5,
        .col-md-5,
        .col-lg-5,
        .col-xs-6,
        .col-sm-6,
        .col-md-6,
        .col-lg-6,
        .col-xs-7,
        .col-sm-7,
        .col-md-7,
        .col-lg-7,
        .col-xs-8,
        .col-sm-8,
        .col-md-8,
        .col-lg-8,
        .col-xs-9,
        .col-sm-9,
        .col-md-9,
        .col-lg-9,
        .col-xs-10,
        .col-sm-10,
        .col-md-10,
        .col-lg-10,
        .col-xs-11,
        .col-sm-11,
        .col-md-11,
        .col-lg-11,
        .col-xs-12,
        .col-sm-12,
        .col-md-12,
        .col-lg-12 {
            -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            box-sizing: border-box;
        }





    
/* links */

.blacklink {
    color: red;
}
.blacklink:link
{
	color: black;
}
.blacklink:visited
{
	color: black;
}
.blacklink:active
{
	color: black;
}
    .blacklink:hover {
        color: red;
    }


.whitelink:link
{
	color: White;
}
.whitelink:visited
{
	color: White;
}
.whitelink:active
{
	color: White;
}
.whitelink:hover
{
	color: White;
    cursor:pointer;
}


.bluelink:link {    
    color: #044990;
    text-decoration: none;
    font-weight: normal;
}
.bluelink:visited {
    color: #044990;
    text-decoration: none;
    font-weight: normal;
}

.bluelink:hover {
    cursor: pointer;
    color: #044990;
    text-decoration: underline;
}
.bluelink:active {
    color: #044990;
    text-decoration: none;
    font-weight: normal;
}
.bluelink {
    /*color: #0084B4;*/
    color: #044990;
    text-decoration: none;
    font-weight: normal;
}

.bluelinkunderline {
    color: #044990;
    text-decoration: none;
    text-decoration: underline;
}

    .bluelinkunderline:link {
        color: #044990;
        text-decoration: none;
        text-decoration: underline;
    }
.bluelinkunderline:visited
{
	color: #044990;
    text-decoration: none;
    text-decoration: underline;
}
    .bluelinkunderline:active {
        color: #044990;
        text-decoration: none;
        text-decoration: underline;
    }
    .bluelinkunderline:hover {
        cursor: pointer;
        color: #044990;
        text-decoration: underline;
    }


.redlink:link
{
	color:	red;
}
.redlink:visited
{
	color: red;
}
.redlink:active
{
	color: red;
}
.redlink:hover
{
	color: red;
}

 
.blacklinkunderline
{
	color: black;
    cursor:pointer;
    text-decoration: underline;
}
.blacklinkunderline:link
{
	color: black;
    cursor:pointer;
    text-decoration: underline;
}
.blacklinkunderline:visited
{
	color: black;
    cursor:pointer;
    text-decoration: underline;
}
.blacklinkunderline:active
{
	color: black;
    cursor:pointer;
    text-decoration: underline;
}
.blacklinkunderline:hover
{
	color: black;
    cursor:pointer;
    text-decoration: underline;
}


/* Patrick Style for the Master Layout */

 .navbar-header img {
                height: 40px;
            }

 .navbar-header {
                margin-left: 3em !important;
                padding-top: 2px;
            }

 .navbar-brand {
                font-size: 12px;
                padding: 11.5px 11.5px;
                height: 20px;
                line-height: 17px;
            }


 .divider {
            width: 10em;
            height: 1px;
            margin: 0px 0px 10px;
            background-color: rgb(176, 186, 191);
            opacity: 0.5;
        }


 footer .divider {
            margin: 0px 0px 13px;
            background-color: rgb(176, 186, 191);
            opacity: 0.5;
        }

/* end Patrick Layout style*/




/* Navigation Bar Style */

   .sidebar-nav {
            list-style: none;
            margin: 0;
            padding: 0;
        }

            .sidebar-nav li {
                line-height: 30px;
                text-indent: 20px;
            }

                .sidebar-nav li a {
                    /*color: #0084B4;*/
                    color: #044990;
                    display: block;
                    text-decoration: none;
                }

                    .sidebar-nav li a:hover {
                        /*color: #0084B4;*/
                        color: #044990;
                        background: rgb(245, 245, 245);
                        text-decoration: none;
                        cursor: pointer;
                    }

                    .sidebar-nav li a:active,
                    .sidebar-nav li a:focus {
                        text-decoration: none;
                    }

    /* Other Styles from Magik Styles */
    .navbar-brand {
            font-size: 12px;
            padding: 11.5px 11.5px;
            height: 20px;
            line-height: 17px;
        }

        .well {
            background-color: #ffec8c;
            font-weight: bold;
        }

        .panel-title {
            font-weight: bold;
            font-size: 12px;
        }

        .control-label {
            font-weight: normal;
        }

        .container {
            background-color: #ffffff;
        }

        #sidebar-wrapper {
            background: transparent;
            height: 100%;
            z-index: 1000;
            transition: all 0.4s ease 0s;
        }

   /* Bootstrap 3 sub-menu classes */

        .dropdown-submenu {
            position: relative;
        }

            .dropdown-submenu > .dropdown-menu {
                top: 0;
                left: 100%;
                margin-top: -6px;
                margin-left: -1px;
                -webkit-border-radius: 0 6px 6px 6px;
                -moz-border-radius: 0 6px 6px;
                border-radius: 0 6px 6px 6px;
            }

            .dropdown-submenu:hover > .dropdown-menu {
                display: block;
            }

            .dropdown-submenu > a:after {
                display: block;
                content: " ";
                float: right;
                width: 0;
                height: 0;
                border-color: transparent;
                border-style: solid;
                border-width: 5px 0 5px 5px;
                border-left-color: #ccc;
                margin-top: 5px;
                margin-right: -10px;
            }

            .dropdown-submenu:hover > a:after {
                border-left-color: #fff;
            }

            .dropdown-submenu.pull-left {
                float: none;
            }

                .dropdown-submenu.pull-left > .dropdown-menu {
                    left: -100%;
                    margin-left: 10px;
                    -webkit-border-radius: 6px 0 6px 6px;
                    -moz-border-radius: 6px 0 6px 6px;
                    border-radius: 6px 0 6px 6px;
                }

             /* styles for validation helpers */
            .field-validation-error {
                color: #e80c4d;
                font-weight: bold;
            }

            .field-validation-valid {
                display: none;
            }

            input.input-validation-error {
                border: 1px solid #e80c4d;
            }

            input[type="checkbox"].input-validation-error {
                border: 0 none;
            }

            .validation-summary-errors {
                color: #e80c4d;
                font-weight: bold;
                font-size: 1.1em;
            }

            .validation-summary-valid {
                display: none;
            }

            /*Breadcrumb styling*/
            .breadcrumb {
	            background-color: #FFF;
                margin-bottom: 8px;
                padding-top: 12px;
                padding-left: 0px;
            }

            /*Overridden Styles*/
            input, button, select, textarea, label {
                font-weight: normal;
            }

            /*Header - Fixed*/
            .header-fixed {
	            background-color:white;
	            opacity:100;
	            position:fixed;
	            z-index:1000;
	            height:auto;
	            width: 80%;
            }

            /*Grey Panel*/
.panel-body-grey {
    background-color: #F9F9F9;
    border-top: 0 !important;
}

    .panel-grey > .panel-heading {
        color: #333;
        background-color: #F9F9F9;
        border-color: #DDD;
    }

    .panel-grey h2 {
        font-size: 21px;
        font-weight: normal;
    }

    .container-fluid-internal {
	background-color: #ffffff;
    /*padding-bottom: 5em;*/
}
    /*PW Stying*/
    /*Error styling to add to Alert Danger*/
    .error {
	    color: #ff0000;
    }

    /*Required Form Items*/
    .required {
	    color: #ff0000;
	    height: 50%;
    }
    
    legend {
        border: none;
        font-size: 14px;
        width: auto;
        display: block;
        width: 100%;
        padding: 0px;
        margin-bottom: 17px;
        line-height: inherit;
        color: #333;
        border-width: 0px 0px 1px;
        border-style: none none solid;
        border-color: -moz-use-text-color -moz-use-text-color #E5E5E5;
        -moz-border-top-colors: none;
        -moz-border-right-colors: none;
        -moz-border-bottom-colors: none;
        -moz-border-left-colors: none;
        border-image: none;
    }

    .list-group-item.header, .list-group-item.header:hover, .list-group-item.header:focus {
    background-color: #ECECEC;
    color: black;
}

.fa {
    color: #808080;
}